import configureStore from './store';
import * as reducers from './reducers';

//main exports redirects to only public features.
export { configureStore, reducers };

//collect resources
import { LocaleCollector } from 'zen-lingual';
import en from './locales/en';
import fr from './locales/fr';

LocaleCollector.declare({ en, fr });
